#include "DisplayInterface.h"
#include <windows.h>


// Pauses for a number of milliseconds
void DisplayInterface::pause( int time ) const
{
	Sleep( time );
}


//  Uses windowsmm.lib, plays given .WAV file
void DisplayInterface::PlayWAV ( const char *wav ) const
{
	PlaySound(wav, NULL, SND_ASYNC | SND_FILENAME);
}

//  Uses windowsmm.lib, loops given .WAV file
void DisplayInterface::LoopWAV ( const char *wav ) const
{
	PlaySound(wav, NULL, SND_ASYNC | SND_FILENAME | SND_LOOP);
}

//  Uses windowsmm.lib, Stops all .WAVs
void DisplayInterface::StopWAV ( ) const
{
	PlaySound(NULL, NULL, 0);
}

